Name:           perl-POE-Filter-IRCD
Version:        2.2 
Release:        2%{?dist}
Summary:        A POE-based parser for the IRC protocol

Group:          Development/Libraries
License:        GPL+ or Artistic        
URL:            http://search.cpan.org/dist/POE-Filter-IRCD            
Source0: http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/POE-Filter-IRCD-%{version}.tar.gz        
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source100:      README.licensing

BuildArch:      noarch

BuildRequires:  perl(POE)
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)

Requires:  perl(POE::Filter)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
POE::Filter::IRCD provides a convenient way of parsing and creating IRC
protocol lines.


%prep
%setup -q -n POE-Filter-IRCD-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

cp %{SOURCE100} .

%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README*
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.2-2
- rebuild for new perl

* Tue Dec 05 2006 Chris Weyl <cweyl@alumni.drew.edu> 2.2-1
- update to 2.2

* Sun Sep 17 2006 Chris Weyl <cweyl@alumni.drew.edu> 2.1-1
- update to 2.1 

* Wed Sep 13 2006 Chris Weyl <cweyl@alumni.drew.edu> 2.0-1
- update to 2.0

* Mon Sep 04 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.9-1
- update to 1.9
- Add additional BR's 1.9 requires: Test::Pod::Coverage, Test::Pod

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.8-2
- bump for mass rebuild

* Thu Jul 27 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.8-1
- update to 1.8

* Tue Jul 18 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.7-1
- Update for first F-E build

* Tue Jul 18 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.7-0.1
- Added licensing statement/clarification

* Thu Jul 13 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.7-0
- Initial spec file for F-E
